xml-commons-resolver API: Class ResolvingXMLReader

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.tools
Class ResolvingXMLReader

    java.lang.Object
      |
      +--org.xml.sax.helpers.XMLFilterImpl
            |
            +--org.apache.xml.resolver.tools.ResolvingXMLFilter
                  |
                  +--org.apache.xml.resolver.tools.ResolvingXMLReader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

public class ResolvingXMLReader
extends ResolvingXMLFilter

A SAX XMLReader that performs catalog-based entity resolution.

This class implements a SAX XMLReader that performs entity resolution using the CatalogResolver. The actual, underlying parser is obtained from a SAXParserFactory.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `CatalogResolver`, `XMLReader`

Field Summary
`static boolean` | `namespaceAware` Make the parser Namespace aware?
`static boolean` | `validating` Make the parser validating?

Fields inherited from class org.apache.xml.resolver.tools.ResolvingXMLFilter
`suppressExplanation`

Constructor Summary
`ResolvingXMLReader()` Construct a new reader from the JAXP factory.
`ResolvingXMLReader(CatalogManager manager)` Construct a new reader from the JAXP factory.

Methods inherited from class org.apache.xml.resolver.tools.ResolvingXMLFilter
`getCatalog, notationDecl, parse, parse, processingInstruction, resolveEntity, startElement, unparsedEntityDecl`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startPrefixMapping, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceAware

    public static boolean namespaceAware

  Make the parser Namespace aware?

### validating

    public static boolean validating

  Make the parser validating?

Constructor Detail

### ResolvingXMLReader

    public ResolvingXMLReader()

  Construct a new reader from the JAXP factory.

  In order to do its job, a ResolvingXMLReader must in fact be a filter. So the only difference between this code and the filter code is that the constructor builds a new reader.

### ResolvingXMLReader

    public ResolvingXMLReader(CatalogManager manager)

  Construct a new reader from the JAXP factory.

  In order to do its job, a ResolvingXMLReader must in fact be a filter. So the only difference between this code and the filter code is that the constructor builds a new reader.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.